: Class DefList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class DefList

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.DefList

public class DefList
extends Element

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`DefList()`

Method Summary
`void` | `add(Element term, Element def)`
`void` | `write(java.io.Writer out)` Write element to a Writer This abstract method is called by the Page or other containing Element to write the HTML for this element.

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefList

    public DefList()

Method Detail

### add

    public void add(Element term,
                    Element def)

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Description copied from class: Element
  Write element to a Writer This abstract method is called by the Page or other containing Element to write the HTML for this element. This must be implemented by the derived Element classes.
  Overrides:
    write in class Element
  Tags copied from class: Element
  Parameters:
    `out` - Writer to write the element to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD